<?php

header("Content-type: application/vnd.ms-excel; name='excel'");
header("Content-Disposition: filename=Productos.xls");
header("Pragma: no-cache");
header("Expires: 0");

include "../conexion.php";

 echo "<table width='100%' border='1' bordercolor='#000000' cellpadding='0' cellspacing='0'>";
	echo "<tr >";
	echo "<td bgcolor='#C6C6C6'><center>Codigo</center></td>";	
	echo "<td bgcolor='#C6C6C6'><center>Entradas</center></td>";
	echo "<td bgcolor='#C6C6C6'><center>Salidas</center></td>";
	echo "<td bgcolor='#C6C6C6'><center>Saldo</center></td>";
	echo "<td bgcolor='#C6C6C6'><center>Linea</center></td>";
	echo "<td bgcolor='#C6C6C6'><center>Grupo</center></td>";
	echo "<td bgcolor='#C6C6C6'><center>Unidad</center></td>";
	echo "<td bgcolor='#C6C6C6'><center>Nombre</center></td>";
	echo "<td bgcolor='#C6C6C6'><center>Precio Unitario</center></td>";
	echo "<td bgcolor='#C6C6C6'><center>TOTAL INVENTARIO COMPRA</center></td>";	
	echo "<td bgcolor='#C6C6C6'><center>Precio Venta</center></td>";
	echo "<td bgcolor='#C6C6C6'><center>TOTAL INVENTARIO VENTA</center></td>";	
	echo "<td bgcolor='#C6C6C6'><center>Marca</center></td>";
	echo "<td bgcolor='#C6C6C6'><center>Codigo Barra</center></td>";
	echo "<td bgcolor='#C6C6C6'<center>Estado</center></td>";
	echo "<td bgcolor='#C6C6C6'><center>Ubicacion</center></td>";	
	echo "<td bgcolor='#C6C6C6'><center>Minimo</center></td>";
	echo "<td bgcolor='#C6C6C6'><center>Maximo</center></td>";	
	echo "</tr>";	
	$sql_datosre=mysqli_query($conexion,"SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,codigobarra,
									estado,ubicacion,cantidadpaquete,paqueteunidad,preciopaquete,linea,grupo,unidad
							  from producto  
							  order by nombre,linea,grupo asc");
	$c=1; $sumaventa=0;
	while($datos= mysqli_fetch_row($sql_datosre))//01
		{   
		   $id=$datos[0];
		   $nombre=$datos[1];
		   $descripcion=$datos[2];
		   $preciounitario=$datos[3];
		   $precioventa=$datos[4];
		   $productofamilia=$datos[5];
		   $marca=$datos[6];
		   $iva=$datos[7];
		   $codigobarra=$datos[8];
		   $estado=$datos[9];
		   $ubicacion=$datos[10];
		   $cantidadpaquete=$datos[11];
		   $paqueteunidad=$datos[12];
		   $preciopaquete=$datos[13];
		   $linea=$datos[14];
		   $grupo=$datos[15];
		   $unidad=$datos[16];
		   
		   if($estado=='A'){$nestado="Activo";}
		   if($estado=='I'){$nestado="Inactivo";}
		   $nlinea="";$nmarca="";$cantidadinv=0;$cantidadv=0;$cantidadv_P=0;$nunidad="";
		   
		   $rs_linea=mysqli_query($conexion,"SELECT id,nombre FROM unidad where id='".$unidad."'");
		   while($datosrs= mysqli_fetch_row($rs_linea)){ $nunidad=$datosrs[1];}
		   
		   $rs_linea=mysqli_query($conexion,"SELECT id,nombre FROM linea where id='".$linea."'");
		   while($datosrs= mysqli_fetch_row($rs_linea)){ $nlinea=$datosrs[1];}
	
		   $rs_linea=mysqli_query($conexion,"SELECT id,nombre FROM grupo where id='".$grupo."'");
		   while($datosrs= mysqli_fetch_row($rs_linea)){ $ngrupo=$datosrs[1];}

		   
		   $rs_marca=mysqli_query($conexion,"SELECT id,nombre FROM marca where id='".$marca."'");
		   while($datosrs= mysqli_fetch_row($rs_marca)){ $nmarca=$datosrs[1];}
		   
		   $rs_ubicacion=mysqli_query($conexion,"SELECT id,nombre FROM ubicacion where id='".$ubicacion."'");
		   while($datosrs= mysqli_fetch_row($rs_ubicacion)){ $nubicacion=$datosrs[1];}
		   
		   $sql_inv=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad from inventario where producto='".$id."'");
		   while($datosrs= mysqli_fetch_row($sql_inv)){ $cantidadinv=$datosrs[0];}
			 
			
			//sacamos ventas de unidad
			 $sql_datosventas=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad,sum(total) as total from venta
										 where producto='".$id."' and estado='F' and paqueteunidad='U'");
			while($datosrs= mysqli_fetch_row($sql_datosventas)){ $cantidadv=$datosrs[0];}
			 $sumaventa=$sumaventa+$cantidadv;
			 //$sumatotalv=$sumatotalv+$total;
							 
			 //sacamos ventas de paquete
			 $sql_datosventas=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad,sum(total) as total from venta
										   where producto='".$id."' and estado='F' and paqueteunidad='P'");
			 while($datosrs= mysqli_fetch_row($sql_datosventas)){ $cantidadv_P=$datosrs[0];}
			 //sacamos la cantidad de unidades por venta de producto unidad
			 $cantidadv=$cantidadpaquete*$cantidadv_P;
			 $sumaventa=$sumaventa+$cantidadv;
			 //$sumatotalv=$sumatotalv+$total;
		
			 $saldo=$cantidadinv-$sumaventa;
			 if($saldo>0){$colorinv="#009933";} else {$colorinv="";}


			 $sql_inv=mysqli_query($conexion,"SELECT count(*) as contar from Producto_MinMax where producto='".$id."'");
			  while($datosrs= mysqli_fetch_row($sql_inv)){ $contar=$datosrs[0];}
			 if($contar>=1)
			 {
				 $sql_inv1=mysqli_query($conexion,"SELECT minimo,maximo from Producto_MinMax where producto='".$id."'");
				 while($datosrs1= mysqli_fetch_row($sql_inv1)){ $minimo=$datosrs1[0]; $maximo=$datosrs1[1];}
			 }
			 else {$minimo="";$maximo="";}

            $totalinv=$saldo*$precioventa;
            $sumag=$sumag+$totalinv;
            
            
            $totalinvpc=$saldo*$preciounitario;
            $sumagpc=$sumagpc+$totalinvpc;
            
            
			echo " <tr  >";
					  echo "<td >$id</td>";
					 echo "<td >".$cantidadinv."</td>";
					 echo "<td >".$sumaventa."</td>";
					 echo "<td >".$saldo."</td>";
					 echo "<td >".$nlinea."</td>";
					 echo "<td >".$ngrupo."</td>";
					 echo "<td >".$nunidad."</td>";
					 echo "<td >".$nombre."</td>";
					 echo "<td >".number_format($preciounitario)."</td>";
					 echo "<td ><font size='3'><strong>".number_format($totalinvpc)."</strong></font></td>";					
					 echo "<td >".number_format($precioventa)."</td>";
					 echo "<td ><font size='3'><strong>".number_format($totalinv)."</strong></font></td>";					
					 echo "<td >".$nmarca."</td>";
					 echo "<td >".$codigobarra."</td>";
					 echo "<td >".$nestado."</td>";
					 echo "<td >".$nubicacion."</td>";
					 echo "<td >".$minimo."</td>";
					 echo "<td >".$maximo."</td>";
					 echo "</tr>";
				$c=$c+1;
				$sumaventa=0;
		 }
		 	echo " <tr  >";
					 echo "<td colspan='9' align='right'>TOTAL COMPRA</td>";
					 echo "<td ><font size='6'><strong>".number_format($sumagpc)."</strong></font></td>";					
					 echo "<td>TOTAL VENTA</td>";
					 echo "<td ><font size='6'><strong>".number_format($sumag)."</strong></font></td>";					
					 echo "<td colspan='7'></td>";
					 echo "</tr>";
	 echo "</table>"; 

?>